//navbar
const openBtn = document.querySelectorAll('[trigger-button]');
const closeBtn = document.querySelectorAll('[close-button]');
const overlay = document.querySelector('[data-overlay]');

for (let x = 0; x < openBtn.length; x++){
    let currentID = openBtn[x].dataset.target,
    targetEl =document.querySelector(`#${currentID}`)

    const openData =function(){
        targetEl.classList.remove('active');
        overlay.classList.remove('active');
    };
    openBtn[x].addEventListener('click', function(){
        targetEl.classList.add('active');
        overlay.classList.add('active');
    });
    targetEl.querySelector('[close-button]').addEventListener('click',openData);
    overlay.addEventListener('click', openData);
}
//button
var swiper = new Swiper(".mySwiper", {
    slidesPerView: 1,
    grabCursor: true,
    loop: true,
    pagination: {
      el: ".swiper-pagination",
      clickable: true,
    },
    navigation: {
      nextEl: ".swiper-button-next",
      prevEl: ".swiper-button-prev",
    },
  });